Page MenuHomePhabricator

[Migrated] Allow creating lists based on external web pages
Closed, ResolvedPublic

Description

Not infrequently, I use a toolserver tool to create a list of all pages where certain edits would probably be needed using AWB (category names by patern using http://toolserver.org/~jarry/grep/?lang=en&wiki=wikipedia&ns=0 this tool, category scans using http://toolserver.org/~daniel/WikiSense/CategoryIntersect.php?wikilang=en&wikifam=.wikipedia.org this tool), where creating the list inside AWB is either impossible (such as my first example) or difficult (the second example - I still would need to filter out all non-mainspace, for example, but that would be simple AWB filtering). I think that we should be able to make a list from all incoming links from an external web page, given by URL. That would make these tasks much easier. @Od Mishehu 10:38, 5 September 2011 (UTC)

Event Timeline

Reguyla raised the priority of this task from to Needs Triage.
Reguyla updated the task description. (Show Details)
Reguyla added a project: AutoWikiBrowser.
Reguyla moved this task to General fixes on the AutoWikiBrowser board.
Reguyla renamed this task from [Migrate] Allow creating lists based on external web pages to [Migrated] Allow creating lists based on external web pages.May 17 2015, 1:28 AM
Reguyla set Security to None.

I migrated this change over but it refers to the Toolserver so it it may be overcome by events unless it also applies to the WMFLabs servers.

Rjwilmsi closed this task as Resolved.Jun 19 2015, 9:59 AM
Rjwilmsi claimed this task.
Rjwilmsi added a subscriber: Rjwilmsi.

We now have an "HTML scraper" list making option which allows links from an external web page to be fetched, covers this request.